> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/publisher/collections-tables-list.md).

# collections tables list

## Synopsis

```shell
omics publisher collections tables list
  --collection=COLLECTION_ID
  [--no-auth]
```

## Description

List all accessible tables in a collection using the Data Connect API. Tables represent structured data that can be queried using SQL.

## Examples

List all tables in a collection.

```shell
omics publisher collections tables list --collection my-collection
```

List tables without authentication (for public collections).

```shell
omics publisher collections tables list --collection my-collection --no-auth
```

## Flags

### `--collection`=`COLLECTION_ID`

The ID or slug name of the collection to list tables from.

### `--no-auth`

Access the tables without authentication. Only works for publicly accessible collections.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/publisher/collections-tables-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
